Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class NamespaceObject

    java.lang.Object
      |
      +--com.bea.wlai.common.NamespaceObject

Direct Known Subclasses:
  Namespace

public class NamespaceObject
extends java.lang.Object
implements INamespaceObject

An implementation of the INamespaceObject interface. Represents any object that can exist in a namespace.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`NamespaceObject(INamespace parent, java.lang.String name, java.lang.String description)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compare this object to the given object and determine if they are equal.
`java.lang.String` | `getDescription()` Return a description of this namespace object and its intended use.
`java.lang.String` | `getName()` Return this object's name.
`INamespace` | `getParentNamespace()` Get this namespace object's parent namespace.
`QualifiedName` | `getQualifiedName()` Return a QualifiedName representing this namespace object's name and parent namespace.
`int` | `hashCode()`
`void` | `setDescription(java.lang.String description)` Set the description of this namespace object and its intended use.
`void` | `setName(java.lang.String name)` Set this object's name.
`void` | `setParentNamespace(INamespace parent)` Set this namespace object's parent namespace.
`java.lang.String` | `toString()` Return a string representation of this namespace object that includes its name and any other relevant information.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceObject

    public NamespaceObject(INamespace parent,
                           java.lang.String name,
                           java.lang.String description)

Method Detail

### toString

    public java.lang.String toString()

  Return a string representation of this namespace object that includes its name and any other relevant information.

  Returns:
    A string representing this namespace object.
  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Compare this object to the given object and determine if they are equal. For INamespaceObjects, this means that both objects match in name, and parent namespace.
  Specified by:
    equals in interface INamespaceObject

  Returns:
    True if the name and namespace of the obj param equal this INamespaceObject's name and namespace.
  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### getQualifiedName

    public QualifiedName getQualifiedName()

  Return a QualifiedName representing this namespace object's name and parent namespace.
  Specified by:
    getQualifiedName in interface INamespaceObject

  Returns:
    A QualifiedName representing the namespace object's name and parent namespace. This should never be null.

### getName

    public java.lang.String getName()

  Return this object's name. For a fully qualified name for this object, use getQualifiedName().
  Specified by:
    getName in interface INamespaceObject

  Returns:
    This object's name. This should never be null.

### setName

    public void setName(java.lang.String name)
                 throws java.lang.IllegalArgumentException

  Set this object's name. This method does not change the namespace to which the object belongs, just its name.
  Specified by:
    setName in interface INamespaceObject

  Parameters:
    `name` - The new name for this object. Null is not allowed.
  Throws:
    java.lang.IllegalArgumentException - If the name param is null.

### getDescription

    public java.lang.String getDescription()

  Return a description of this namespace object and its intended use.
  Specified by:
    getDescription in interface INamespaceObject

  Returns:
    A description of this namespace object and its intended use, or null if no description has been set.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description of this namespace object and its intended use.
  Specified by:
    setDescription in interface INamespaceObject

  Parameters:
    `description` - A description of this namespace object and its intended use, or null if no description is known.

### getParentNamespace

    public INamespace getParentNamespace()

  Get this namespace object's parent namespace.
  Specified by:
    getParentNamespace in interface INamespaceObject

  Returns:
    This namespace object's parent namespace. This can only be null when the namespace is the root namespace, or the object does not yet exist in a namespace.

### setParentNamespace

    public void setParentNamespace(INamespace parent)

  Set this namespace object's parent namespace.
  Specified by:
    setParentNamespace in interface INamespaceObject

  Parameters:
    `parent` - This namespace object's parent namespace. Setting this parameter to null should be avoided, and indicates that the namespace object has no parent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)